Last Comment Bug 227366 - Add irc-hispano to default network list
: Add irc-hispano to default network list
Status: RESOLVED FIXED
[cz-0.9.78]
:
Product: Other Applications
Classification: Client Software
Component: ChatZilla (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: ---
Assigned To: :Gijs Kruitbosch
: Samuel Sieb
Mentors:
irc://irc.irc-hispano.org/
Depends on: 27807
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-03 06:25 PST by Alberto García Fernández
Modified: 2006-12-16 09:35 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (1009 bytes, patch)
2006-12-09 14:56 PST, :Gijs Kruitbosch
bugzilla-mozilla-20000923: review+
Details | Diff | Splinter Review

Description Alberto García Fernández 2003-12-03 06:25:52 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i586; es-ES; rv:1.2.1) Gecko/20021130
Build Identifier: Mozilla/5.0 (X11; U; Linux i586; es-ES; rv:1.2.1) Gecko/20021130

It would be possible to add irc-hispano to *client* view default networks as
moznet, efnet, dalnet, etc.?

Generic irc: url for irc-hispano is:

irc://irc.irc-hispano.org/

It would be fantastic if chatzilla reconognized irc://irc-hispano/ as a network.

IRC-Hispano <http://www.irc-hispano.org/> is the biggest Spanish language irc
network.

Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 Pascal Chevrel:pascalc 2003-12-03 12:30:30 PST
interesting suggestion, the proposed networks are indeed limited language-wise.
Why not? we have plenty of space available on the startup screen :-)
Comment 2 Oscar Manuel Gómez Senovilla 2003-12-03 12:54:34 PST
I think a solution for this would documentation about how to manage this kind of
things, because it's supposed that they're not hard-coded into chatzilla code,
so I claim for this better solution.
Comment 3 :Gijs Kruitbosch 2005-01-02 14:32:41 PST
*Crosspost*

I request that bug 135926, bug 227366 and bug 239080 will be marked dependent on
bug 27807, since all these networks can be added when that bug is fixed.
Comment 4 :Gijs Kruitbosch 2006-12-09 14:56:40 PST
Created attachment 248119 [details] [diff] [review]
Patch

mIRC seems to refer to the network as just "Hispano" and that seemed more logical to me, too, so I've copied that behaviour.
Comment 5 James Ross 2006-12-13 07:53:46 PST
Comment on attachment 248119 [details] [diff] [review]
Patch

I can't find any confirmation of this address on their appalingly website, but that's their problem now.
Comment 6 :Gijs Kruitbosch 2006-12-13 12:21:18 PST
Checking in mozilla/extensions/irc/xul/content/networks.js;
/cvsroot/mozilla/extensions/irc/xul/content/networks.js,v  <--  networks.js
new revision: 1.3; previous revision: 1.2
done

Note You need to log in before you can comment on or make changes to this bug.